<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Application>

  <Header>
    <Version val="10001"/>
    <WithIsn val="Y"/>
    <_InternalTask val="N"/>
    <IsRoot val="N"/>
    <InIndex val="N"/>
  </Header>

  <ProgramsRepository>
    <Programs>
      <Task MainProgram="N">
        <Header Description="プリンタ切替" ISN_2="1" LastIsn="1" id="13">
          <Public val="CM0120"/>
          <ExecutionRight comp="-1"/>
          <Resident val="N"/>
          <SQL val="N"/>
          <ReturnValue>
            <TSK_PARAMS val="1"/>
            <ParametersCount val="1"/>
            <ParametersAttributes ParametersAttributes="A"/>
          </ReturnValue>
          <SqlWhereExist val="N"/>
          <TaskType val="B"/>
          <External val="Y"/>
          <FormType val="N"/>
          <LastModified _date="733500" _time="50136" date="2009/04/03" time="13:55:36"/>
        </Header>
        <ItemIsn val="1"/>
        <Resource>
          <Columns>
            <Column id="4" name="P.キュー名">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_ALPHA"/>
                <Picture valUnicode="100"/>
                <StoredAs val="1"/>
                <Size val="100"/>
                <_Flip/>
              </PropertyList>
            </Column>
          </Columns>
          <ColumnsLastIsn val="4"/>
        </Resource>
        <Information>
          <Key>
            <Mode val="N"/>
          </Key>
          <DB comp="-1"/>
          <Sort>
            <CLS val="A"/>
          </Sort>
          <ForceRecordDelete DEL="N"/>
          <EndTaskCondition val="Y"/>
          <EvaluateEndCondition val="A"/>
          <InitialMode val="M"/>
          <Locate Direction="A"/>
          <Range Direction="A"/>
          <VarRange/>
          <TaskProperties>
            <SelectionTable val="N"/>
            <ConfirmUpdate CNFU="N"/>
            <ConfirmCancel val="N"/>
            <ErrorStrategy val="A"/>
            <LockingStrategy val="I"/>
            <CacheStrategy val="T"/>
            <ForceRecordSuffix val="N"/>
            <TransactionMode val="P"/>
            <TransactionBegin val="T"/>
            <PreloadView val="N"/>
            <AllowEmptyDataview val="N"/>
            <KeepCreatedContext val="N"/>
          </TaskProperties>
          <SIDE_WIN>
            <AllowOptions val="N"/>
            <AllowQuery val="Y"/>
            <AllowModify val="Y"/>
            <AllowCreate val="Y"/>
            <AllowDelete val="Y"/>
            <AllowLocate val="Y"/>
            <AllowRange val="Y"/>
            <AllowIndexChange val="Y"/>
            <AllowSorting val="Y"/>
            <AllowIOFiles val="Y"/>
            <RecordCycle val="Y"/>
            <AllowEvents val="Y"/>
            <AllowIndexOptimization val="Y"/>
            <AllowLocationInQuery val="Y"/>
            <AllowPrintingData val="N"/>
          </SIDE_WIN>
          <WIN>
            <OpenTaskWindow val="N"/>
            <CloseTaskWindow val="Y"/>
            <ForegroundWindow val="Y"/>
            <FlipFld val="N"/>
            <RefreshTaskWindow ReturnValue="N"/>
          </WIN>
          <BOX>
            <Direction val="V"/>
          </BOX>
        </Information>
        <TaskLogic>
          <LogicUnit id="2" propagate="78">
            <Level val="R"/>
            <Type val="M"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="1"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <_TotalVariabls val="1"/>
            <_TotalVirtuals val="1"/>
            <PRM_LEN val="1"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <LogicLines>
              <LogicLine>
                <DATAVIEW_SRC FlowIsn="2" Type="M">
                  <Condition val="N"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </DATAVIEW_SRC>
              </LogicLine>
              <LogicLine>
                <Select FieldID="1" FlowIsn="3" id="1">
                  <Column val="1"/>
                  <Type val="V"/>
                  <IsParameter val="Y"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="N"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
          <LogicUnit id="3" propagate="78">
            <Level val="R"/>
            <Type val="S"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="13"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <Expanded val="1"/>
            <LogicLines>
              <LogicLine>
                <Evaluate FlowIsn="4">
                  <Expression val="1"/>
                  <Condition val="Y"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Evaluate>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
        </TaskLogic>
        <TaskForms>
          <FormEntry id="2">
            <PropertyList model="FORM_GUI0">
              <_Comment/>
              <FormName valUnicode="プリンタ切替"/>
              <UserStateIdentifier/>
            </PropertyList>
          </FormEntry>
        </TaskForms>
        <Expressions>
          <Expression id="1">
            <ExpSyntax val="INIPut ('[MAGIC_PRINTERS]Printer1 =*'&amp;Trim({0,1})&amp;',,,60','FALSE'LOG)&#xD;&#xA;&#xD;&#xA;&#xD;&#xA;"/>
            <ExpAttribute val="B"/>
          </Expression>
        </Expressions>
      </Task>
    </Programs>
  </ProgramsRepository>

</Application>
